Delete Upload
curl --request DELETE \
--url https://api.mixpeek.com/v1/buckets/{bucket_identifier}/uploads/{upload_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/buckets/{bucket_identifier}/uploads/{upload_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/buckets/{bucket_identifier}/uploads/{upload_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Uploads
Delete Upload
Cancel an upload and optionally delete the S3 object.
Cannot cancel uploads with status COMPLETED. Can cancel uploads with status: PENDING, IN_PROGRESS, FAILED.
DELETE
/
v1
/
buckets
/
{bucket_identifier}
/
uploads
/
{upload_id}
Delete Upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the bucket
The unique identifier of the upload
Query Parameters
Whether to delete the S3 object
Response
Successful Response
Was this page helpful?
⌘I

